object_message(3)

NAME
object_message - Sends a message to an object and returns the answer. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int object_message(DIALOG *dialog, int msg, int c);

DESCRIPTION
Sends a message to an object and returns the answer it has generated. Remember that the first parameter is the dialog object (not a whole array) that you wish to send the message to. For example, to make the second object in a dialog draw itself, you might write:
   object_message(&dialog[1], MSG_DRAW, 0);

The function will take care of scaring and unscaring the mouse if the message is MSG_DRAW.

SEE ALSO
dialog_message(3), scare_mouse(3), scare_mouse_area(3), unscare_mouse(3), excustom(3), exrgbhsv(3)